Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0008276 [DCSS] Bug Report crash unable to reproduce 2014-03-14 22:38 2014-07-23 00:39
Reporter johnnyzero View Status public  
Assigned To neil
Priority normal Resolution done  
Status closed   Product Branch 0.14 ancient branch
Summary 0008276: Crash during autoexplore (gold pickup and shopping list)
Description Game crashed while autoexploring. Looks to be related to picking up gold and updating the shopping list.
ASSERT(i > (unsigned int) min_unbuyable_idx) in 'shopping.cc' at line 2513 failed.

Note: The save is much earlier than the crash point in the log. I tried reproducing by resuming from the save, but I was unable to re-trigger the crash.

Log: http://dobrazupa.org/morgue/johnnyzero/crash-johnnyzero-20140314-210411.txt [^]
Save: https://dobrazupa.org/saves/johnnyzero-crawl-git-2e50dd50f3-140314-2107.tar.bz2 [^]
tv: !lm johnnyzero crash 15 -tv [note: this appears to be corrupt]
Additional Information
Tags No tags attached.
Attached Files ? file icon 0001-Correctly-update-the-shopping-list-when-un-identifyi.patch [^] (3,839 bytes) 2014-03-22 03:39 [Show Content]

- Relationships

-  Notes
(0025675)
blackcustard (reporter)
2014-03-22 03:38

Shopping list wasn't getting updated properly when identifying items. Patch attached.
(0025679)
neil (administrator)
2014-03-22 18:03

Blackcustard's fix is in trunk (0.14-a0-3443-g2c333e7), thanks!
(0026819)
johnnyzero (reporter)
2014-07-23 00:39

Confirmed fixed.

- Issue History
Date Modified Username Field Change
2014-03-14 22:38 johnnyzero New Issue
2014-03-14 22:39 chris Issue Monitored: chris
2014-03-22 03:38 blackcustard Note Added: 0025675
2014-03-22 03:39 blackcustard File Added: 0001-Correctly-update-the-shopping-list-when-un-identifyi.patch
2014-03-22 18:03 neil Note Added: 0025679
2014-03-22 18:03 neil Status new => resolved
2014-03-22 18:03 neil Fixed in Branch => 0.14 development branch
2014-03-22 18:03 neil Resolution open => done
2014-03-22 18:03 neil Assigned To => neil
2014-07-23 00:39 johnnyzero Note Added: 0026819
2014-07-23 00:39 johnnyzero Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker